org.apache.flume.sink.kite.parser

## Class AvroParser.Builder

- java.lang.Object
- - org.apache.flume.sink.kite.parser.AvroParser.Builder

- All Implemented Interfaces:
    EntityParser.Builder<org.apache.avro.generic.GenericRecord>
  Enclosing class:
    AvroParser

      public static class AvroParser.Builder
      extends Object
      implements EntityParser.Builder<org.apache.avro.generic.GenericRecord>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroParser.Builder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntityParser<org.apache.avro.generic.GenericRecord>` | `build(org.apache.avro.Schema datasetSchema, Context config)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvroParser.Builder

          public AvroParser.Builder()

  - ### Method Detail

    - #### build

          public EntityParser<org.apache.avro.generic.GenericRecord> build(org.apache.avro.Schema datasetSchema,
                                                                  Context config)

      Specified by:
        `build` in interface `EntityParser.Builder<org.apache.avro.generic.GenericRecord>`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.